[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#457037: libqt4-dev: Linking fails with undefined reference to QDom...

Package: libqt4-dev
Version: 4.3.3-1
Severity: important

Since the upgrade from 4.3.2 to 4.3.3 linking fails when classes are
used which use classes like QDomDocument, QDomNode, QDomElement etc.
All QDom... classes are not found by the linker. The output is:

/usr/lib/libQtUiTools.a(abstractformbuilder.o): In function
`QFormInternal::QAbstractFormBuilder::load(QIODevice*, QWidget*)':
(.text+0x6ec): undefined reference to `QDomDocument::QDomDocument()'
/usr/lib/libQtUiTools.a(abstractformbuilder.o): In function
`QFormInternal::QAbstractFormBuilder::load(QIODevice*, QWidget*)':
(.text+0x719): undefined reference to
`QDomDocument::setContent(QIODevice*, QString*, int*, int*)'
/usr/lib/libQtUiTools.a(abstractformbuilder.o): In function
`QFormInternal::QAbstractFormBuilder::load(QIODevice*, QWidget*)':

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages libqt4-dev depends on:
ii  libaudio-dev            1.9.1-1          Network Audio System - development
ii  libfreetype6-dev        2.3.5-1+b1       FreeType 2 font engine, developmen
ii  libgl1-mesa-dev [libgl- 7.0.2-2          A free implementation of the OpenG
ii  libglib2.0-dev          2.14.4-2         Development files for the GLib lib
ii  libglu1-mesa-dev [libgl 7.0.2-2          The OpenGL utility library -- deve
ii  libice-dev              2:1.0.4-1        X11 Inter-Client Exchange library 
ii  libjpeg62-dev           6b-14            Development files for the IJG JPEG
ii  libmng-dev              1.0.9-1          M-N-G library (Development headers
ii  libpng12-dev [libpng12- 1.2.15~beta5-3   PNG library - development
ii  libpq-dev               8.2.4-2          header files for libpq5 (PostgreSQ
ii  libqt4-core             4.3.3-1          Qt 4 core non-GUI functionality ru
ii  libqt4-gui              4.3.3-1          Qt 4 core GUI functionality runtim
ii  libqt4-qt3support       4.3.3-1          Qt 3 compatibility library for Qt 
ii  libqt4-sql              4.3.3-1          Qt 4 SQL database module
ii  libsm-dev               2:1.0.3-1+b1     X11 Inter-Client Exchange library 
ii  libsqlite0-dev          2.8.17-2         SQLite development files
ii  libx11-dev              2:1.0.3-7        X11 client-side library (developme
ii  libxcursor-dev          1:1.1.9-1        X cursor management library (devel
ii  libxext-dev             1:1.0.3-2        X11 miscellaneous extensions libra
ii  libxft-dev              2.1.12-2         FreeType-based font drawing librar
ii  libxi-dev               2:1.1.3-1        X11 Input extension library (devel
ii  libxinerama-dev         1:1.0.2-1        X11 Xinerama extension library (de
ii  libxmu-dev              1:1.0.3-1        X11 miscellaneous utility library 
ii  libxrandr-dev           2:1.2.2-1        X11 RandR extension library (devel
ii  libxrender-dev          1:0.9.4-1        X Rendering Extension client libra
ii  libxt-dev               1:1.0.5-3        X11 toolkit intrinsics library (de
ii  x11proto-core-dev       7.0.11-1         X11 core wire protocol and auxilia
ii  zlib1g-dev              1: compression library - development

Versions of packages libqt4-dev recommends:
ii  qt4-dev-tools                 4.3.3-1    Qt 4 development tools

-- no debconf information

Reply to: